Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### print()

Examples

    print("begin- ");
    float f = 0.3;
    int i = 1024;
    print("f is " + f + " and i is " + 1024);
    String s = " -end";
    println(s);

    // The above code prints:
    // begin- f is 0.3 and i is 1024 -end

Description

Writes to the console area of the Processing environment. This is often helpful for looking at the data a program is producing. The companion function println() works like print(), but creates a new line of text for each call to the function. Individual elements can be separated with quotes ("") and joined with the addition operator (+).
Beginning with release 0125, to print the contents of an array, use println().

Syntax

    print(data)

Parameters

data | boolean, byte, char, color, int, float, String, boolean[], byte[], char[], color[], int[], float[], String[]

Usage | IDE
Related | println()

Updated on June 28, 2007 05:11:00am PDT